LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Macros
Flags specifying which fields to retrieve by osl_getVolumeInfo

## Macros
#define | osl_VolumeInfo_Mask_Attributes 0x00000001
#define | osl_VolumeInfo_Mask_TotalSpace 0x00000002
#define | osl_VolumeInfo_Mask_UsedSpace 0x00000004
#define | osl_VolumeInfo_Mask_FreeSpace 0x00000008
#define | osl_VolumeInfo_Mask_MaxNameLength 0x00000010
#define | osl_VolumeInfo_Mask_MaxPathLength 0x00000020
#define | osl_VolumeInfo_Mask_FileSystemName 0x00000040
#define | osl_VolumeInfo_Mask_DeviceHandle 0x00000080
#define | osl_VolumeInfo_Mask_FileSystemCaseHandling 0x00000100

## Detailed Description

## Macro Definition Documentation

## ◆ osl_VolumeInfo_Mask_Attributes

#define osl_VolumeInfo_Mask_Attributes 0x00000001

## ◆ osl_VolumeInfo_Mask_DeviceHandle

#define osl_VolumeInfo_Mask_DeviceHandle 0x00000080

## ◆ osl_VolumeInfo_Mask_FileSystemCaseHandling

#define osl_VolumeInfo_Mask_FileSystemCaseHandling 0x00000100

## ◆ osl_VolumeInfo_Mask_FileSystemName

#define osl_VolumeInfo_Mask_FileSystemName 0x00000040

## ◆ osl_VolumeInfo_Mask_FreeSpace

#define osl_VolumeInfo_Mask_FreeSpace 0x00000008

## ◆ osl_VolumeInfo_Mask_MaxNameLength

#define osl_VolumeInfo_Mask_MaxNameLength 0x00000010

## ◆ osl_VolumeInfo_Mask_MaxPathLength

#define osl_VolumeInfo_Mask_MaxPathLength 0x00000020

## ◆ osl_VolumeInfo_Mask_TotalSpace

#define osl_VolumeInfo_Mask_TotalSpace 0x00000002

## ◆ osl_VolumeInfo_Mask_UsedSpace

#define osl_VolumeInfo_Mask_UsedSpace 0x00000004